package es.fantasiayrealidad.fantasiayrealidad;

import java.util.ArrayList;
import java.util.List;

public class ListaPoemas {

    private static List<Poema> listadoPoemas;

    static {
        if (listadoPoemas == null) {
            listadoPoemas = new ArrayList<Poema>();
            for (PoemasEnum poemasEnum : PoemasEnum.values()) {
                listadoPoemas.add(new Poema(poemasEnum.getDibujo(), poemasEnum.getContenido(), poemasEnum.getThumbnail(), poemasEnum.getTitulo(), poemasEnum.getAudio()));
            }
        }
    }

    public static List<Poema> getListadoPoemas() {
        return listadoPoemas;
    }

    public static int getSize() {
        int result = 0;
        if (listadoPoemas != null) {
            result = listadoPoemas.size();
        }
        return result;
    }

    public static Poema getPoema(int posicion) {
        Poema poema = listadoPoemas.get(posicion);
        return poema;
    }

}
