package es.fantasiayrealidad.fantasiayrealidad;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;

public class PoemasActivity extends AppCompatActivity implements AdapterView.OnItemClickListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_poemas);

        AdaptadorPoemas adaptadorPoemas = new AdaptadorPoemas(this);
        ListView listView = (ListView) findViewById(R.id.listViewPoemas);
        listView.setAdapter(adaptadorPoemas);
        listView.setOnItemClickListener(this);

        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        boolean result = super.onOptionsItemSelected(item);
        Intent intent = FYRActivityUtils.getIntent(item.getItemId(), this);
        if (intent != null) {
            startActivity(intent);
            result = true;
        }
        return result;
    }

    @Override
    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
        Intent intent = new Intent(this, VistaPoema.class);
        intent.putExtra("position", position);
        startActivity(intent);
    }

}
