package es.fantasiayrealidad.fantasiayrealidad;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;

public class FYRActivityUtils {

    public static Intent getIntentPoemas(Context context) {
        Intent intent = new Intent(context, PoemasActivity.class);
        return intent;
    }

    public static Intent getIntentAutor(Context context) {
        Intent intent = new Intent(context, AutorActvity.class);
        return intent;
    }

    public static Intent getIntentOpenWeb() {
        Intent intent = new Intent(Intent.ACTION_VIEW, Uri.parse(FYRConstants.URL_WEB));
        return intent;
    }

    public static Intent getIntent(int id, Context context) {
        Intent intent = null;
        if (id == R.id.actionbar_poemas) {
            intent = FYRActivityUtils.getIntentPoemas(context);
        } else if (id == R.id.actionbar_autor) {
            intent = FYRActivityUtils.getIntentAutor(context);
        } else if (id == R.id.actionbar_web) {
            intent = FYRActivityUtils.getIntentOpenWeb();
        }
        return intent;
    }

}
